{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.${namespace}) mkEnableModule;

  cfg = config.${namespace}.programs.man;
in
{
  options = mkEnableModule "programs.man";

  config = mkIf cfg.enable {
    programs.man.enable = true;

    home.sessionVariables = {
      MANWIDTH = "80";
      # TODO: Only set this is nvim is installed. Also install plugin here?
      MANPAGER = "nvim +NoNeckPain '+set nowrap' +Man!";
    };
  };
}
